curl_pause
curl_setopt_array
cURL Functions
PHP Manual

# curl_reset

Reset all options of a libcurl session handle

### Description

void curl_reset ( resource `$ch` )

This function re-initializes all options set on the given cURL handle to the default values.

### Parameters

`ch`

  A cURL handle returned by curl_init.

### Return Values

No value is returned.

### Examples

Example #1 curl_reset example

`<?php
// Create a curl handle
$ch = curl_init();
// Set CURLOPT_USERAGENT option
curl_setopt($ch, CURLOPT_USERAGENT, "My test user-agent");
// Reset all previously set options
curl_reset($ch);
// Send HTTP request
curl_setopt($ch, CURLOPT_URL, 'http://example.com/');
curl_exec($ch); // the previously set user-agent will be not sent, it has been reset by curl_reset
// Close the handle
curl_close($ch);
?>`

### Notes

> Note:

> curl_reset also resets the URL given as the curl_init parameter.

### See Also

- curl_setopt